main() 
{ 
// Specify two different explosion effects to randomly play 
level._effect["mortar_explosion"][0] = loadfx ("fx/impacts/newimps/dirthit_mortar2day.efx"); 
level._effect["mortar_explosion"][1] = loadfx ("fx/impacts/newimps/minefield.efx"); 
level._effect["mortarflash"] = loadfx("fx/muzzleflashes/mortarflash.efx"); 
// send down the mortars 
thread mortar(); 
} 

mortar() 
{ 
//define trigger 
trig = getent("mortartrigger","targetname"); 


//wait untill trigger is used 
trig waittill("trigger",other); 



//define mortar model 
mortar1 = getent("mortar","targetname"); 

//define mortar origin 
origin1 = mortar1 getorigin(); 

//play load/launch fx 
mortar1 playsound ("mortar_load"); 
wait 0.25; 
mortar1 playsound ("mortar_launch"); 
playfx(level._effect["mortarflash"], origin1); 

//call on mortar to fire 
thread mortars(); 
} 







mortars() 
{ 
 

// Get an array of all the mortars in the level 
mortar = getentarray ("mortartarget","targetname"); 
// Loop over and over while the level is loaded 

{ 
// Wait 5-10 seconds randomly before doing a mortar explosion 
wait (7 + randomfloat(7)); 

// Make sure there are no players close enough to this mortar to kill them 
GoodPosition = false; 
while (!GoodPosition) 
{ 
// Pick a random mortar location 
rand = randomint(mortar.size); 

// Check if any players are within 200 of the randomly picked mortar 
GoodPosition = true; 
players = getentarray("player", "classname"); 
for(i = 0; i < players.size; i++) 
{ 
if (distance(mortar[rand].origin,players[i].origin) < 200) 
{ 
GoodPosition = false; 
break; 
} 
} 
} 

// Play the incomming mortar sound effect 
mortar[rand] playsound("mortar_incoming"); 

// Wait 2 seconds while the imcomming sound plays 
wait 2; 

// Do the explosion effect 
origin = mortar[rand] getorigin(); 
playfx (level._effect["mortar_explosion"][randomint(2)], origin); 

// Play the explosion sound 
mortar[rand] playsound("mortar_explosion"); 

// Make the explosion cause damage 

radiusDamage(mortar[rand].origin + (0,0,12), 500, 50, 100); 

}
thread mortar(); 
} 








